global:
  sequences_file: sequences.fasta
  prefix: cath_example
  simple_remapping: True
protbert_embeddings:
  type: embed
  protocol: prottrans_bert_bfd
  reduce: True
  discard_per_amino_acid_embeddings: True
umap_projections:
  type: project
  protocol: umap
  depends_on: protbert_embeddings
  n_components: 2
  min_dist: .5
  spread: 6
  n_neighbors: 5
  random_state: 10
  metric: euclidean
plotly_visualization:
  type: visualize
  protocol: plotly
  annotation_file: cath_annotations.csv
  depends_on: umap_projections